it.gov.taccuino

## Class ContattoStrutturaSanitariaType

- java.lang.Object
- - it.gov.taccuino.ContattoStrutturaSanitariaType

-     @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public class ContattoStrutturaSanitariaType
      extends Object

  Classe Java per contattoStrutturaSanitariaType complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="contattoStrutturaSanitariaType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="denominazioneStruttura" type="{urn:taccuino:common}string1_128"/>
               <element name="motivazioneContatto" type="{urn:taccuino:common}string1_128"/>
             </sequence>
             <attribute name="tipoContatto" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="visita"/>
                   <enumeration value="ricovero"/>
                   <enumeration value="diagnostica"/>
                   <enumeration value="trattamentoMedico"/>
                   <enumeration value="altro"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataInizioContatto" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataFineContatto" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="codiceStruttura" type="{urn:taccuino:common}string1_128" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `codiceStruttura`
    `protected XMLGregorianCalendar` | `dataAggiornamento`
    `protected XMLGregorianCalendar` | `dataFineContatto`
    `protected XMLGregorianCalendar` | `dataInizioContatto`
    `protected XMLGregorianCalendar` | `dataRegistrazione`
    `protected String` | `denominazioneStruttura`
    `protected String` | `motivazioneContatto`
    `protected String` | `tipoContatto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContattoStrutturaSanitariaType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCodiceStruttura()` Recupera il valore della proprietà codiceStruttura.
    `XMLGregorianCalendar` | `getDataAggiornamento()` Recupera il valore della proprietà dataAggiornamento.
    `XMLGregorianCalendar` | `getDataFineContatto()` Recupera il valore della proprietà dataFineContatto.
    `XMLGregorianCalendar` | `getDataInizioContatto()` Recupera il valore della proprietà dataInizioContatto.
    `XMLGregorianCalendar` | `getDataRegistrazione()` Recupera il valore della proprietà dataRegistrazione.
    `String` | `getDenominazioneStruttura()` Recupera il valore della proprietà denominazioneStruttura.
    `String` | `getMotivazioneContatto()` Recupera il valore della proprietà motivazioneContatto.
    `String` | `getTipoContatto()` Recupera il valore della proprietà tipoContatto.
    `void` | `setCodiceStruttura(String value)` Imposta il valore della proprietà codiceStruttura.
    `void` | `setDataAggiornamento(XMLGregorianCalendar value)` Imposta il valore della proprietà dataAggiornamento.
    `void` | `setDataFineContatto(XMLGregorianCalendar value)` Imposta il valore della proprietà dataFineContatto.
    `void` | `setDataInizioContatto(XMLGregorianCalendar value)` Imposta il valore della proprietà dataInizioContatto.
    `void` | `setDataRegistrazione(XMLGregorianCalendar value)` Imposta il valore della proprietà dataRegistrazione.
    `void` | `setDenominazioneStruttura(String value)` Imposta il valore della proprietà denominazioneStruttura.
    `void` | `setMotivazioneContatto(String value)` Imposta il valore della proprietà motivazioneContatto.
    `void` | `setTipoContatto(String value)` Imposta il valore della proprietà tipoContatto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### denominazioneStruttura

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String denominazioneStruttura

    - #### motivazioneContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String motivazioneContatto

    - #### tipoContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String tipoContatto

    - #### dataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataRegistrazione

    - #### dataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataAggiornamento

    - #### dataInizioContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataInizioContatto

    - #### dataFineContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataFineContatto

    - #### codiceStruttura

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String codiceStruttura

  - ### Constructor Detail

    - #### ContattoStrutturaSanitariaType

          public ContattoStrutturaSanitariaType()

  - ### Method Detail

    - #### getDenominazioneStruttura

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getDenominazioneStruttura()

      Recupera il valore della proprietà denominazioneStruttura.
      Returns:
        possible object is `String`

    - #### setDenominazioneStruttura

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDenominazioneStruttura(String value)

      Imposta il valore della proprietà denominazioneStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getMotivazioneContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getMotivazioneContatto()

      Recupera il valore della proprietà motivazioneContatto.
      Returns:
        possible object is `String`

    - #### setMotivazioneContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setMotivazioneContatto(String value)

      Imposta il valore della proprietà motivazioneContatto.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getTipoContatto()

      Recupera il valore della proprietà tipoContatto.
      Returns:
        possible object is `String`

    - #### setTipoContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setTipoContatto(String value)

      Imposta il valore della proprietà tipoContatto.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataRegistrazione()

      Recupera il valore della proprietà dataRegistrazione.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataRegistrazione(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRegistrazione.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataAggiornamento()

      Recupera il valore della proprietà dataAggiornamento.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataAggiornamento(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataAggiornamento.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataInizioContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataInizioContatto()

      Recupera il valore della proprietà dataInizioContatto.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataInizioContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataInizioContatto(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataInizioContatto.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataFineContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataFineContatto()

      Recupera il valore della proprietà dataFineContatto.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataFineContatto

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataFineContatto(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataFineContatto.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getCodiceStruttura

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getCodiceStruttura()

      Recupera il valore della proprietà codiceStruttura.
      Returns:
        possible object is `String`

    - #### setCodiceStruttura

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCodiceStruttura(String value)

      Imposta il valore della proprietà codiceStruttura.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.